Arch MergeWalls/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(4 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/ru|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
{{docnav/ru|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Workbench|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
</div>
</div>


Line 9: Line 10:
|Name/ru=Arch MergeWalls
|Name/ru=Arch MergeWalls
|MenuLocation=Архитектура → Утилиты → Объединить стенки
|MenuLocation=Архитектура → Утилиты → Объединить стенки
|Workbenches=[[Arch Module/ru|Arch]]
|Workbenches=[[Arch_Workbench/ru|Arch]]
|SeeAlso=[[Arch Wall]]
|SeeAlso=[[Arch Wall]]
}}
}}
</div>
</div>


<span id="Description"></span>
==Описание==
==Описание==


The [[Arch_MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall|Arch Walls]]}}.
The [[Arch_MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall|Arch Walls]]}}.


<span id="Usage"></span>
==Использование==
==Использование==


Line 28: Line 31:


== Scripting ==
== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:

This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
base = joinWalls(walls, delete=False)
base = joinWalls(walls, delete=False)
Line 53: Line 57:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/ru|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
{{docnav/ru|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Workbench|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
</div>
</div>



Revision as of 12:01, 19 May 2023

Arch MergeWalls

Системное название
Arch MergeWalls
Расположение в меню
Архитектура → Утилиты → Объединить стенки
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Arch Wall

Описание

The MergeWalls tool fuses two or more selected Arch Walls.

Использование

  1. Select two or more walls.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])